LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 01-05-2020, 06:05 PM   #1
Cabbie001
LQ Newbie
 
Registered: Jan 2020
Location: Canada
Distribution: Slackware 14.2 i386; Devuan Ascii 2.0
Posts: 11

Rep: Reputation: Disabled
Printer Driver for HP Photosmart C4480


Hi. I'm relatively new to Slackware (since Sept 2019), was looking for another non-systemd alternative in addition to Devuan (non-systemd fork of Debian). To be very clear I'm not posting here to address the systemd debate. Rather to speak about one of two issues encountered with Slackware (the second I'll post separately).

I very much enjoy Slackware in general, as it has a truly hands-on feel and seems true to the original spirit of Linux (for those of us who remember using it in the 90s). It seems very solid and despite the lack of package dependency resolution I've had few issues installing all my favourite software using the SlackBuild scripts.

However there was an issue with my printer configuration as follows:
When adding my default printer using the CUPS web-based interface (http://localhost:631/admin), my printer (11-yr old HP Photosmart C4480) was found and the driver installed successfully, BUT printing fails with the error message "filter failed". I could not get this version of the driver (/usr/share/cups/drv/HP/hpijs.drv, filesize = 1278149) to work, and eventually solved the problem by substituting the driver file from my Devuan installation since it was known to be good with this printer. This is version: hpijs 3.16.11, filesize = 1303998, 1.3M c-source. Simply renamed the original file hpijs.drv.orig and copied the good version to /usr/share/cups/drv/HP/hpijs.drv. Whereupon all was well. On the Devuan system this driver file can be found at /usr/share/cups/drv/hpijs.drv.

If anyone else has this printer and is having difficulty getting it to work with Slackware, perhaps this will help. If you don't have access to a Devuan/Debian system I suspect the driver could be obtained from the HP website.

Cheers.
 
Old 01-07-2020, 10:33 AM   #2
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware & Android
Posts: 10,987

Rep: Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250Reputation: 1250
Quote:
Originally Posted by Cabbie001
I very much enjoy Slackware in general, as it has a truly hands-on feel and seems true to the original spirit of Linux (for those of us who remember using it in the 90s). It seems very solid and despite the lack of package dependency resolution I've had few issues installing all my favourite software using the SlackBuild scripts.
Yes Amen to all of that. The real Achilles Heel is a large Python thing where no AppImages are available, and you need to go through some real hoops. For those few, I keep Mint (=Ubuntu with go-faster stripes) but I've got appimages for everything I use now. I rarely need a bleeding edge version on anything anyhow unless it's in development. I remember using it in the 90s. I go back as far as kernel-2.0.1(?) or thereabouts. I got a fright when my kids managed to find 175 cpopies of CIH virus just in time to prevent 1 pc& 1 laptop being ruined, so I got the internet in linux.

Hplip is good normally for setting hp printers up in linux.

Last edited by business_kid; 01-07-2020 at 10:34 AM.
 
Old 01-07-2020, 11:21 AM   #3
_peter
Member
 
Registered: Sep 2014
Location: paris
Distribution: slackware
Posts: 69

Rep: Reputation: Disabled
good to know, i now check the linux support before i buy a printer

Quote:
Originally Posted by Cabbie001 View Post
This is version: hpijs 3.16.11, filesize = 1303998
maybe you can post on the current request to upgrade hplib.
i used hplip-3.16.5 on my 14.2 system, are your running current ?

https://developers.hp.com/hp-linux-i.../release_notes
 
Old 01-07-2020, 11:27 AM   #4
cwizardone
LQ Guru
 
Registered: Feb 2007
Distribution: Slackware64-current with "True Multilib."
Posts: 5,282
Blog Entries: 1

Rep: Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774Reputation: 2774
The most recent version is 3.19.12 and was added to -current on 31 December 2019.
 
Old 01-09-2020, 01:41 AM   #5
Cabbie001
LQ Newbie
 
Registered: Jan 2020
Location: Canada
Distribution: Slackware 14.2 i386; Devuan Ascii 2.0
Posts: 11

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by _peter View Post
good to know, i now check the linux support before i buy a printer



maybe you can post on the current request to upgrade hplib.
i used hplip-3.16.5 on my 14.2 system, are your running current ?

https://developers.hp.com/hp-linux-i.../release_notes
I'm not running _current_, maybe that's why I've got the older 3.16.5 version same as you. According to cwizardone,
hplip has been upgraded as of Dec 2019 but not sure if he means for Slackware64. I'm running 14.2 32-bit (from the install_dvd_iso).
I'm hoping they'll upgrade it on the next version but who knows if 32-bit will continue to be supported.
Thanks.
 
Old 01-11-2020, 05:46 AM   #6
sairum
LQ Newbie
 
Registered: Sep 2004
Location: Portugal
Distribution: Slackware
Posts: 27

Rep: Reputation: 15
I can confirm that HP C4480 works flawlessly with hplip-3.19.12 shipped with Slackware64-current. I've installed that particular printer in my mother-in-law's laptop a couple of weeks ago. Both the printer and the scanner work. I've not setup the fax.

Slackware64 14.2 ships with hplip-3.16.5. I've inspected the tarball and it includes hp_photosmart_c4440_series.ppd.gz which is the PPD used by hplip-3.19.12. Hence, HP C4480 should work on both -current or 14.2.
 
1 members found this post helpful.
Old 01-12-2020, 06:25 AM   #7
Nille_kungen
Member
 
Registered: Jul 2005
Distribution: Slackware64-current
Posts: 530

Rep: Reputation: 183Reputation: 183
I always add HP printers via "HP Device Manager" rather than cups since hplip is installed by default in slackware.

Could you pastebin /var/log/cups/error_log ?
Have you updated your Slackware-14.2 install with patches?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Printer Hp c4480 slackware walteramg Slackware 3 04-03-2009 12:39 PM
Scanner not Working for HP C4480 - may be confused with Logitech webcam ed_homeLinux Linux - Hardware 5 01-12-2009 03:30 PM
Printer driver problem with Ubuntu Linux / HP psc 2410 photosmart Techguy2396 Linux - Hardware 3 01-28-2007 01:44 PM
HP Photosmart USB printer recognised as scsi hard drive reddazz Linux - Hardware 3 04-09-2005 06:58 AM
Cant mount HP Photosmart 100 printer's card reader ! m_m Linux - Hardware 0 11-12-2004 01:14 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:26 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration